require_relative 'spec_helper'
require 'contact_congress_parser/action'


include ContactCongressParser
describe Action do
  describe 'create_from_step' do
    it 'creates a single action for single val steps' do
      action = Action.create_from_step(SINGLE_ACT_STEP)
      expect(action.class).to be(Action)
    end

    it 'creates multiple actions for multi val steps' do
      actions = Action.create_from_step(MULTI_ACT_STEP)
      expect(actions.all? { |action| action.class == Action }).to be_truthy
    end
  end

  describe '#to_s' do
    it 'is eval-able by conformity' do
      form = Conformity::Form.new { }

      actions = Action.create_from_step(MULTI_ACT_STEP)
      expect { actions.each { |action| form.send(:eval, action.to_s) } }.
        to_not raise_error
    end
  end
end
