require 'spec_helper'


clone_from = 'https://github.com/nhjk/contact-congress.git'
clone_to = 'contact-congress'


include ContactCongressParser
describe Form do
  before :context do
    Git.clone(clone_from, clone_to)
    @member_files = Dir.glob("#{clone_to}/members/*.yaml")
    raise "Error retrieving member_files" if @member_files.empty?
  end

  it 'outputs forms parsable by conformity' do
    @member_files.each do |member_file|
      data = YAML.load(File.read(member_file))
      form = Form.new(data)

      expect { Conformity.send(:eval, form.to_s) }.to_not raise_error
    end
  end

  after :context do
    `rm -rf #{clone_to}`
  end
end
